package com.yuchen.saas.park.service.service;

import com.yuchen.saas.park.api.entity.device.PmgBatSmartEquipment;
import com.yuchen.saas.park.api.entity.park.PmgBatParkCompany;
import com.yuchen.saas.park.api.entity.park.PmgBatParkPeople;
import com.yuchen.saas.park.api.entity.park.PmgBatParkVisitor;
import com.yuchen.saas.park.api.entity.park.PmgBtnDeviceOther;
import com.yuchen.saas.park.api.vo.park.DeviceAndOtherVo;
import com.yuchen.saas.park.api.vo.park.PmgBatParkCompanyVo;
import com.yuchen.saas.park.api.vo.park.PmgBatSmartEquipmentVo;
import org.nest.springwrap.core.mp.base.BaseService;

import java.util.List;

/**
 * @author 刘通
 * @date 2020/12/31 10:42
 */
public interface PmgBtnDeviceOtherService extends BaseService<PmgBtnDeviceOther> {
    // 院内人员
    List<DeviceAndOtherVo> getParkPeopleList(String deviceId);
    List<PmgBatParkPeople> getParkPeopleListV2(String deviceId);
    List<PmgBatSmartEquipment> getParkPeopleListV3(String peopleId);

    // 访客
    List<DeviceAndOtherVo> getParkVisitorList(String deviceId);
    List<PmgBatParkVisitor> getParkVisitorListV2(String deviceId);
    List<PmgBatSmartEquipment> getParkVisitorListV3(String peopleId);
    // 公司
    List<DeviceAndOtherVo> getParkCompanyList(String deviceId);
    List<PmgBatParkCompany> getParkCompanyListV2(String deviceId);
    List<PmgBatParkCompanyVo> getParkCompanyListV3(String productKey, String deviceName);

    // 设备
    List<DeviceAndOtherVo> getParkDeviceList(String deviceId);
    List<PmgBatSmartEquipmentVo> getParkDeviceListV2(String deviceId);

    // 公共
    boolean saveList(List<PmgBtnDeviceOther> pmgBtnDeviceOtherList);
    boolean deleteList(List<PmgBtnDeviceOther> pmgBtnDeviceOtherList);
    List<PmgBatSmartEquipmentVo> getDeviceListByOtherId(String productKey, String otherId);

}
